"""empty message

Revision ID: 90a10f88e6c5
Revises: 0df40d0a3aa8
Create Date: 2021-02-19 18:17:13.155117

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '90a10f88e6c5'
down_revision = '0df40d0a3aa8'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('optimizations',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('google_wbm', sa.TEXT(), nullable=True),
    sa.Column('bing_wbm', sa.TEXT(), nullable=True),
    sa.Column('logo_off', sa.String(length=400), nullable=True),
    sa.Column('sec_logo', sa.String(length=400), nullable=True),
    sa.Column('last_check', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('pages',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('title', sa.String(length=100), nullable=True),
    sa.Column('content', sa.TEXT(), nullable=True),
    sa.Column('description', sa.TEXT(), nullable=True),
    sa.Column('keywords', sa.TEXT(), nullable=True),
    sa.Column('is_offline', sa.Boolean(), nullable=True),
    sa.Column('slug', sa.String(length=180), nullable=False),
    sa.Column('last_check', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.alter_column('subscriptions', 'user_id',
               existing_type=mysql.INTEGER(),
               nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('subscriptions', 'user_id',
               existing_type=mysql.INTEGER(),
               nullable=True)
    op.drop_table('pages')
    op.drop_table('optimizations')
    # ### end Alembic commands ###
